GCC Bugzilla has been upgraded from version 4.4.9 to 5.0rc3. If you see any problem, please report it to bug 64968.
Bug 7796 - [3.3, 3.4 regression]: sparc-sun-solaris2.7 extra failure w/-m64 on execute/930921-1.c in unroll.c
Summary: [3.3, 3.4 regression]: sparc-sun-solaris2.7 extra failure w/-m64 on execute/9...
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: middle-end (show other bugs)
Version: 3.3
: P3 normal
Target Milestone: ---
Assignee: Eric Botcazou
URL:
Keywords: ice-on-valid-code
Depends on:
Blocks:
 
Reported: 2002-09-01 05:56 UTC by Kaveh Ghazi
Modified: 2010-10-27 16:56 UTC (History)
2 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kaveh Ghazi 2002-09-01 05:56:00 UTC
I get this extra failure from execute/930921-1.c w/-m64:

FAIL: gcc.c-torture/execute/930921-1.c compilation,  -O3 -fomit-frame-pointer -funroll-loops
FAIL: gcc.c-torture/execute/930921-1.c compilation,  -O3 -fomit-frame-pointer -funroll-all-loops -finline-functions

It looks like this:

execute/930921-1.c: In function `main':
execute/930921-1.c:15: internal compiler error: in calculate_giv_inc, at unroll.c:1611

This is a regression from gcc 3.2

Release:
gcc version 3.3 20020830 (experimental)

Environment:
sparc-sun-solaris2.7

How-To-Repeat:
Target sparc-sun-solaris2.7 and compile 930921-1.i with

cc1 -fpreprocessed 930921-1.i -mptr64 -mstack-bias -mno-v8plus -mcpu=v9 -quiet -dumpbase 930921-1.c -m64 -auxbase 930921-1 -O3 -w -version -fomit-frame-pointer -funroll-loops -o 930921-1.s


# 1 "/teal/tmpdisk/ghazi/gcc-testing/33/egcc-3.3-CVS20030112/gcc/testsuite/gcc.c-torture/execute/930921-1.c"
# 1 "<built-in>"
# 1 "<command line>"
# 1 "/teal/tmpdisk/ghazi/gcc-testing/33/egcc-3.3-CVS20030112/gcc/testsuite/gcc.c-torture/execute/930921-1.c"
f (x)
     unsigned x;
{
  return (unsigned) (((unsigned long long) x * 0xAAAAAAAB) >> 32) >> 1;
}

main ()
{
  unsigned i;

  for (i = 0; i < 10000; i++)
    if (f (i) != i / 3)
      abort ();
  exit (0);
}
Comment 1 Wolfgang Bangerth 2002-12-03 15:04:32 UTC
State-Changed-From-To: open->feedback
State-Changed-Why: Kaveh, is this still imminent? If it's a regression, we should
    mark it as "high"...
Comment 2 Kaveh Ghazi 2002-12-03 21:47:56 UTC
From: "Kaveh R. Ghazi" <ghazi@caip.rutgers.edu>
To: bangerth@dealii.org, gcc-bugs@gcc.gnu.org, gcc-gnats@gcc.gnu.org,
        gcc-prs@gcc.gnu.org, nobody@gcc.gnu.org
Cc:  
Subject: Re: middle-end/7796: [3.3 regression]: sparc-sun-solaris2.7 extra failure w/-m64 on execute/930921-1.c in unroll.c
Date: Tue, 3 Dec 2002 21:47:56 -0500 (EST)

 The failure still occurs, see:
 http://gcc.gnu.org/ml/gcc-testresults/2002-12/msg00109.html
 
 IIRC, I originally marked it as "high", but all 3.3 regressions were
 downgraded as part of the "triage" while we were concentrating on 3.2.
 I don't know if 3.3 regressions are now supposed to go back to high or
 not.  Check with Mark.
 
 		Thanks,
 		--Kaveh
 --
 Kaveh R. Ghazi			ghazi@caip.rutgers.edu
Comment 3 Wolfgang Bangerth 2002-12-04 06:27:29 UTC
State-Changed-From-To: feedback->analyzed
State-Changed-Why: Still happens. Reset to "high" state to force re-evaluation
    before 3.3.
Comment 4 Kaveh Ghazi 2002-12-27 18:27:16 UTC
From: "Kaveh R. Ghazi" <ghazi@caip.rutgers.edu>
To: gcc-bugs@gcc.gnu.org, gcc-gnats@gcc.gnu.org, gcc-prs@gcc.gnu.org,
        ghazi@caip.rutgers.edu, nobody@gcc.gnu.org
Cc:  
Subject: Re: middle-end/7796: [3.3 regression]: sparc-sun-solaris2.7 extra failure w/-m64 on execute/930921-1.c in unroll.c
Date: Fri, 27 Dec 2002 18:27:16 -0500 (EST)

 http://gcc.gnu.org/cgi-bin/gnatsweb.pl?cmd=view%20audit-trail&database=gcc&pr=7796
 
 This error still occurs as of 12/26/02.
 See http://gcc.gnu.org/ml/gcc-testresults/2002-12/msg01166.html
 
Comment 5 Eric Botcazou 2003-03-07 09:09:35 UTC
Responsible-Changed-From-To: unassigned->ebotcazou
Responsible-Changed-Why: Fell in love with Sparc :-)
Comment 6 Eric Botcazou 2003-03-08 21:11:09 UTC
State-Changed-From-To: analyzed->closed
State-Changed-Why: Fixed. See http://gcc.gnu.org/ml/gcc-patches/2003-03/msg00622.html